Name:		hardinfo
Version:	0.5.1
Release:	%mkrel 12
Summary:	A system profiler for Linux
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://hardinfo.org
# https://github.com/lpereira/hardinfo/releases
Source0:	%{name}-%{version}.tar.bz2
Patch0:		build-fix.diff
BuildRequires:	pciutils
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gtk2-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
Requires:	pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform
simple benchmarks.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x

%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --set-comment='System Information' \
  --remove-category="Application" \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/modules/*so
%{_datadir}/%{name}/pixmaps/*
%{_datadir}/%{name}/benchmark.conf
%{_datadir}/%{name}/benchmark.data
%{_datadir}/applications/%{name}.desktop



%changelog
* Thu Nov 12 2015 tv <tv> 0.5.1-12.mga6
+ Revision: 902953
- patch 0: fix build
- BR pkgconfig(liblzma)

* Wed Jan 07 2015 alexl <alexl> 0.5.1-10.mga5
+ Revision: 808944
- added Comment in desktop file

* Wed Jan 07 2015 alexl <alexl> 0.5.1-9.mga5
+ Revision: 808943
- added GenericName in desktop file
- updated url tag

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga5
+ Revision: 748227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 680081
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-6.mga4
+ Revision: 505450
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-5.mga3
+ Revision: 353100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.5.1-4.mga3
+ Revision: 323779
- rebuild for new pcre

* Mon Aug 06 2012 luigiwalser <luigiwalser> 0.5.1-3.mga3
+ Revision: 278984
- rebuild for libffi

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.5.1-1.mga2
+ Revision: 138900
- add BuildRequires on desktop-file-utils
- cleaned spec and minor cosmetics
- imported package hardinfo

